🚀 Visual Navigation for Link Fields! See our changelog for details.
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/field \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"type":"singleSelect","name":"string","unique":true,"notNull":true,"dbFieldName":"string","isLookup":true,"isConditionalLookup":true,"description":"this is a summary","lookupOptions":{"foreignTableId":"string","lookupFieldId":"string","linkFieldId":"string","filter":{}},"options":{"expression":"countall({values})","timeZone":"string","formatting":null,"showAs":{"type":"url"}},"aiConfig":{"modelKey":"string","isAutoFill":true,"attachPrompt":"string","type":"extraction","sourceFieldId":"string"},"id":"fldxxxxxxxxxxxxxxxx","order":{"viewId":"string","orderIndex":0}}'{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"options": {
"expression": "countall({values})",
"timeZone": "<string>",
"formatting": "<unknown>",
"showAs": {
"type": "url"
}
},
"cellValueType": "string",
"dbFieldType": "TEXT",
"dbFieldName": "<string>",
"description": "this is a summary",
"meta": {
"persistedAsGeneratedColumn": false
},
"aiConfig": {
"modelKey": "<string>",
"type": "extraction",
"sourceFieldId": "<string>",
"isAutoFill": true,
"attachPrompt": "<string>"
},
"isLookup": true,
"isConditionalLookup": true,
"lookupOptions": {
"relationship": "oneOne",
"foreignTableId": "<string>",
"lookupFieldId": "<string>",
"fkHostTableName": "<string>",
"selfKeyName": "<string>",
"foreignKeyName": "<string>",
"linkFieldId": "<string>",
"baseId": "<string>",
"filter": {}
},
"notNull": true,
"unique": true,
"isPrimary": true,
"isComputed": true,
"isPending": true,
"hasError": true,
"isMultipleCellValue": true,
"recordRead": true,
"recordCreate": true
}Create a new field in the specified table with the given configuration
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/field \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"type":"singleSelect","name":"string","unique":true,"notNull":true,"dbFieldName":"string","isLookup":true,"isConditionalLookup":true,"description":"this is a summary","lookupOptions":{"foreignTableId":"string","lookupFieldId":"string","linkFieldId":"string","filter":{}},"options":{"expression":"countall({values})","timeZone":"string","formatting":null,"showAs":{"type":"url"}},"aiConfig":{"modelKey":"string","isAutoFill":true,"attachPrompt":"string","type":"extraction","sourceFieldId":"string"},"id":"fldxxxxxxxxxxxxxxxx","order":{"viewId":"string","orderIndex":0}}'{
"id": "<string>",
"name": "Tags",
"type": "singleSelect",
"options": {
"expression": "countall({values})",
"timeZone": "<string>",
"formatting": "<unknown>",
"showAs": {
"type": "url"
}
},
"cellValueType": "string",
"dbFieldType": "TEXT",
"dbFieldName": "<string>",
"description": "this is a summary",
"meta": {
"persistedAsGeneratedColumn": false
},
"aiConfig": {
"modelKey": "<string>",
"type": "extraction",
"sourceFieldId": "<string>",
"isAutoFill": true,
"attachPrompt": "<string>"
},
"isLookup": true,
"isConditionalLookup": true,
"lookupOptions": {
"relationship": "oneOne",
"foreignTableId": "<string>",
"lookupFieldId": "<string>",
"fkHostTableName": "<string>",
"selfKeyName": "<string>",
"foreignKeyName": "<string>",
"linkFieldId": "<string>",
"baseId": "<string>",
"filter": {}
},
"notNull": true,
"unique": true,
"isPrimary": true,
"isComputed": true,
"isPending": true,
"hasError": true,
"isMultipleCellValue": true,
"recordRead": true,
"recordCreate": true
}Documentation Index
Fetch the complete documentation index at: https://help.teable.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The field types supported by teable.
singleLineText, longText, user, attachment, checkbox, multipleSelect, singleSelect, date, number, rating, formula, rollup, conditionalRollup, link, createdTime, lastModifiedTime, createdBy, lastModifiedBy, autoNumber, button "singleSelect"
1Whether this field is not unique.
Whether this field is not null.
Field(column) name in backend database. Limitation: 1-63 characters, can only contain letters, numbers and underscore, case sensitive, cannot be duplicated with existing db field name in the table.
1^\w{0,63}$Whether this field is lookup field. witch means cellValue and [fieldType] is looked up from the linked table.
Whether this lookup field applies a conditional filter when resolving linked records.
The description of the field.
"this is a summary"
The lookup options for field, you need to configure it when isLookup attribute is true or field type is rollup.
Show child attributes
The options of the field. The configuration of the field's options depend on the it's specific type.
Show child attributes
The AI configuration of the field.
Show child attributes
The id of the field that start with "fld", followed by exactly 16 alphanumeric characters /^fld[\da-zA-Z]{16}$/. It is sometimes useful to specify an id at creation time
"fldxxxxxxxxxxxxxxxx"
Show child attributes
Returns data about a field.
The id of the field.
The name of the field. can not be duplicated in the table.
"Tags"
The field types supported by teable.
singleLineText, longText, user, attachment, checkbox, multipleSelect, singleSelect, date, number, rating, formula, rollup, conditionalRollup, link, createdTime, lastModifiedTime, createdBy, lastModifiedBy, autoNumber, button "singleSelect"
The configuration options of the field. The structure of the field's options depend on the field's type.
Show child attributes
The cell value type of the field.
string, number, boolean, dateTime The field type of database that cellValue really store.
TEXT, INTEGER, DATETIME, REAL, BLOB, JSON, BOOLEAN Field(column) name in backend database. Limitation: 1-63 characters, can only contain letters, numbers and underscore, case sensitive, cannot be duplicated with existing db field name in the table.
1^\w{0,63}$The description of the field.
"this is a summary"
The metadata of the field. The structure of the field's meta depend on the field's type. Currently formula and link fields have meta.
Show child attributes
The AI configuration of the field.
Show child attributes
Whether this field is lookup field. witch means cellValue and [fieldType] is looked up from the linked table.
Whether this lookup field applies a conditional filter when resolving linked records.
field lookup options.
Show child attributes
Whether this field is not null.
Whether this field is not unique.
Whether this field is primary field.
Whether this field is computed field, you can not modify cellValue in computed field.
Whether this field's calculation is pending.
Whether This field has a configuration error. Check the fields referenced by this field's formula or configuration.
Whether this field has multiple cell value.
Field record read permission. When set to false, reading records is denied. When true or not set, reading records is allowed.
Field record create permission. When set to false, creating records is denied. When true or not set, creating records is allowed.
Was this page helpful?